@import url('colors.css');

/* ===========================
   Sections Index
   ===========================
   - Elements general styling
   - Reusable components and classes
   - Styling for django's standard errors
   - Form related styling
   - Zebra table bug fixes
   - Smallform
   - Debug header
   - Tab Buttons
   - icon_button
   - div-flex
   - Accordion
   - Side Navigation Bar
   - Profile Section
   - Status Styling
   - Pill
   - Tooltip
   - Activity section dropdown
   - FoR code widget styling
   - Users form for activity and nvivo
   - RPE
   - Loading animation
   - RCAO
   - Bugfix for autoscrolling functionality
   - Styling for banners inside modals
   - Showcase Table Styling
   - Home Styling
   - resource_container.html
   - Resource Card Styling
   - Options Page
   - Ribbon
   - Countdown Clock Styling
   - Notifications Styling
   - Additional Volume Form
   - content_page_view.html
   - container_banner.html
   - tool_bar.html
   - vm_options.html
   - resource.html
   - resource_collection.html
   - view_activity.html
   - path.html
   - Situational styling and hot fixes
   =========================== */


/*===============================
 Elements general styling
=============================== */
.uomcontent select {
    font-size: 1rem;
}

.uomcontent h3 {
    margin-top: 1rem;
    margin-bottom: 1.5rem;
}

.uomcontent hr
{
    margin: 1.5rem 0;
}

[type="checkbox"]:checked {
    appearance: auto;
}

/*===============================
 Reusable components and classes
=============================== */
.uomcontent {

    & .focus-outline--none:focus {
        outline-style: none;
    }

    & .float-right {
        float: right;
    }

    /* default container arrangement for resource cards container */
    .resource-cards-container {
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
        justify-content: flex-start;

        &.resource-cards-container--extra-spacing {
            padding-top: 1.75rem;
            margin-bottom: 20px;
        }
    }

    /* manage activity button */
    & a.activity-button {
        border-radius: 4px;
        border: solid 2px var(--default-header-font-color);
        height: 2.5rem;
        line-height: 2.25rem;
        text-align: center;
        text-decoration: none;
        white-space: nowrap;
        width: 200px;

        & span.activity-button {
            color: var(--default-header-font-color);
            font-size: 18px;
            font-weight: bold;
        }

        &:hover {
            background-color: var(--tab-button-hover-bg-white);
        }

        &.activity-button__resource-container {
            margin-inline: 40px;

            @media screen and (max-width: 1290px) {
                margin-inline: 0;
            }
        }
    }
}

/*================================
 Styling for django's standard errors
================================*/
.uomcontent ul.errorlist {
    background-color: var(--warning-message-bg);
    border-radius: 2px;
    width: 94%;
    margin: 0 0 .9375rem 0;
    max-width: 43.75rem;
    padding: .5rem;
    display: block;
}

ul.errorlist li {
    color: var(--white);
}

/*================================
 Form related styling
================================*/
[role="main"] span form {
    margin: 0;
    display: grid;
    justify-content: space-around;
}

form span {
    display: flex;
    justify-content: right;
}

form span label {
    margin: auto;
    margin-right: 0.5rem;
}

form span input {
    margin-bottom: 0.25rem;
}

.uomcontent form:not(.unstyled-controls) fieldset input[type="checkbox"]:not(.unstyled) + label,
.uomcontent form:not(.unstyled-controls) fieldset input[type="radio"]:not(.unstyled) + label
{
    margin-bottom: 0;
}
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox]:disabled:not(.unstyled)+label span:before,
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox].disabled:not(.unstyled)+label span:before
{
    opacity: 0.5;
}
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox]:disabled:not(.unstyled):checked+label:after,
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox].disabled:not(.unstyled):checked+label:after
{
    opacity: 0.25;
}
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox]:disabled:not(.unstyled)+label span,
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox].disabled:not(.unstyled)+label span,
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox]:disabled:not(.unstyled)+label,
.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox].disabled:not(.unstyled)+label
{
    cursor: text;
}

.uomcontent form ul li
{
    list-style: None;
    margin-left: 0;
}

.uomcontent form ul
{
    padding: 0.5rem;
}

.uomcontent form:not(.unstyled-controls) fieldset input[type=checkbox]:not(.unstyled)+label:after {
    box-sizing: content-box;
}

.uomcontent .password-message-error {
    display: none;
    padding-bottom: 0;
}

/*================================
 Zebra table bug fixes
================================*/
.uomcontent [role="main"] table.mobile-friendly.zebra thead th,
.uomcontent [role="main"] table.mobile-friendly.zebra tr td,
.uomcontent [role="main"] table.mobile-friendly.zebra tr td:first-child,
.uomcontent [role="main"] table.zebra thead th,
.uomcontent [role="main"] table.zebra tr td,
.uomcontent [role="main"] table.zebra tr td:first-child {
    border: 1px solid var(--table-border);
}

.uomcontent [role="main"] table.mobile-friendly.zebra:not(:has(thead)) tbody tr td:first-child,
.uomcontent [role="main"] table.zebra:not(:has(thead)) tbody tr td:first-child {
    font-weight: 600;
}

.uomcontent [role="main"] table.mobile-friendly.zebra tr td.nested,
.uomcontent [role="main"] table.zebra tr td.nested {
    background: none;
    border-style: none none solid none;
}
.uomcontent [role="main"] table.mobile-friendly.zebra tr:last-child td.nested,
.uomcontent [role="main"] table.zebra tr:last-child td.nested {
    border: none;
}
.uomcontent table.zebra a.button-small,
.uomcontent table.zebra input[type=submit]
{
    line-height: 1.2;
}

/*================================
 Smallform
================================*/
span.smallform {
    display: flex;
    justify-content: center;
}

span.smallform > .infobox {
    max-width:300px;
    margin-left: 1.875rem;
}

/*================================
 Debug header
================================*/
.uomcontent [role="main"] > :first-child.debug_header {
    padding-top: 0;
}

.uomcontent [role="main"] > :first-child.debug_header + * {
    padding-top: 3rem;
}

.uomcontent [role="main"] > :first-child {
    padding-top: 3rem;
}

/*================================
 Tab Buttons
================================*/
.uomcontent div.tab-container {
    display: flex;
    gap: 4px;
    padding-bottom: 1.5rem;
}

.uomcontent button.tab-button.button.soft {
    margin: 0;
    border: 1px solid var(--button-soft-border);
    border-radius: 4px;
    padding-bottom: 11px;
}

.uomcontent button.tab-button.button.soft:hover {
    background-color: var(--tab-button-hover-bg-grey);
}

.uomcontent button.tab-button.button.soft.selected {
    border-bottom: 5px solid var(--secondary);
    padding-bottom: 7px;
}

/*================================
 icon_button
================================*/
.uomcontent a.icon_button
{
    display: inline-block;
    text-align: center;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    vertical-align: bottom;
    text-decoration-line: none;
    color: var(--white);
}

.uomcontent a.icon_button[disabled]
{
    color: grey;
}

/*================================
 div-flex
================================*/
.uomcontent div.div-flex > div
{
    margin-right: 2rem;
}

.uomcontent div.div-flex > div:last-child
{
    margin-right: auto;
}

.uomcontent div.div-flex
{
    display: flex;
}

/*================================
 Accordion
================================*/
.uomcontent ul.accordion > li .accordion__hidden > *:first-child {
    margin-top: 0;
}

/*================================
 Side Navigation Bar
================================*/
.uomcontent .sidebar-container{
    display: flex;
    width:300px;
    background: var(--sidebar-bg);
    justify-content: normal;
    flex-direction: column;
}

.uomcontent .sidebar-links {
    /* todo change back to margin-left: 14%; when we rename the resource price estimator 'usage reporting' */
    margin-left: 0px;
    padding: 0.5rem;
    color: var(--sidebar-icons-bg);
    text-decoration: none;
    border-left: solid 4px var(--sidebar-bg);
    display: block;
}

.uomcontent .sidebar-links:hover {
    background-color: var(--white);
    border-left: solid 4px var(--sidebar-icons-bg);
}

/*Use the 'sidebar-links-active' class to distinguish the currently open link */
.uomcontent .sidebar-links-active {
    color: var(--sidebar-icons-bg);
    background-color: var(--white);
    border-left: solid 4px var(--sidebar-icons-bg);
    font-weight: bold;
}

.uomcontent .lower{
    padding: 10px;
    padding-top: 20px;
    border-top: solid 1px var(--box-border);
    margin: 10px !important;
    margin-top: 50px !important;
}

.uomcontent .lower.support-section {
    color: var(--secondary-dark);
}

.uomcontent .lower.support-section h4 {
    color: var(--secondary-dark);
}

.uomcontent .lower.support-section a {
    white-space: nowrap;
}


/*================================
 Profile Section
================================*/

.uomcontent .upper .profile-section{
    display: flex;
    justify-content: center;
    margin-bottom: 35px;
    text-align: center;
}

.uomcontent .upper .profile-section .profile-item {
    float: left;
    width: 50%;
    padding: 10px;
    display: block;
    margin-left: 1px;
    border-bottom: solid 4px var(--sidebar-bg);
    text-decoration: none;
}

.uomcontent .upper .profile-section .profile-item-active,
.uomcontent .upper .profile-section .profile-item:hover{
    background-color: var(--white);
    border-bottom: solid 4px var(--sidebar-icons-bg);
}

/*================================
 Status Styling
================================*/
.uomcontent .status {
    text-transform: uppercase;
    font-weight: bold;
    font-size: smaller;
    background-color: var(--notice-bg);
    color: var(--link-fg);
    border-radius: 3px;
    padding: 0.125rem 0.25rem;
}

.uomcontent .status--success {
    background-color: var(--success-status-bg);
    color: var(--success-text);
}

.uomcontent .status--warning {
    background-color: var(--warning-banner-bg);
    color: var(--warning-text);
}

.uomcontent .status--danger {
    background-color: var(--warning-status-bg);
    color: var(--warning-text);
}

/*================================
 Pill
================================*/
.uomcontent .pill {
    background-color: var(--secondary);
    color: var(--white);
    border: none;
    padding: 3px 10px;
    margin-left: 3px;
    text-align: center;
    border-radius: 16px;
    font-size: small;
    display: inline;
}

.uomcontent .pill-soft {
    background-color: transparent;
    color: var(--secondary);
    border: solid 2px var(--secondary);
}

.uomcontent .pill-disabled {
    background-color: var(--disabled-bg);
}

.uomcontent .pill-danger {
    background-color: var(--accent);
}

.uomcontent .pill-notification {
    background-color: var(--accent);
    padding: 3px 8px;
    vertical-align: middle;
}

.uomcontent .pill-with-icon {
    position: absolute;
    bottom: 0.7rem;
    left: 0.6rem;
    padding: 0.1rem 0.5rem;
    font-weight: 600;
    line-height: 1.5;
    background-color: var(--sidebar-icons-bg);
}

/*================================
 Tooltip
================================*/
.uomcontent a.tooltip {
  margin-left: 0.5rem;
  text-decoration: none;
  color: inherit;
  vertical-align: bottom;
}

.uomcontent h4 a.tooltip span {
  margin-top: -0.7rem;
}

.uomcontent a.tooltip:hover {
  position: relative;
  text-decoration: none;
  color: inherit;
}

.uomcontent a.tooltip span.tooltip_popup {
  display: none;
}

.uomcontent a.tooltip:hover span.tooltip_popup {
  border: none;
  padding: 1.5em;
  display: block;
  z-index: 100;
  background: var(--warning-banner-bg);
  left: auto;
  right: 0;
  margin: 15px;
  margin-left: 10px;
  width: 30vw;
  max-width: 40rem;
  position: absolute;
  top: 15px;
  text-decoration: none;
  border-left: .375rem solid var(--warning-text);
}

.uomcontent a.tooltip.tooltip-right:hover span.tooltip_popup {
  left: 0;
  right: auto;
}

.uomcontent a.tooltip:hover span.tooltip_popup ul {
    padding-left:1rem;
    font-weight: normal;
    line-height: normal;
}

.uomcontent a.tooltip:hover span.tooltip_popup ul li {
    list-style:disc;
    font-size:100%;
}

/*================================
 Activity section dropdown
================================*/
.uomcontent .dropdown_ {
    position: relative;
    display: inline-block;
}

.uomcontent .dropdown-content_ {
    visibility: hidden;
    transition: visibility 0s linear 0.3s;
    position: absolute;
    left: auto;
    right: 0;
    background-color: var(--notifications-actions-bg);
    min-width: 22em;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    padding: 12px 16px;
    z-index: 10;
}

.uomcontent .dropdown-content_item {
    padding-bottom: .75em;
}

.uomcontent .dropdown_:hover .dropdown-content_ {
    visibility: visible;
    transition-delay:0s;
    transition-duration: 0s;
}

.uomcontent .small-icon {
    width: 30px;
    height: 30px;
}

/*================================
 FoR code widget styling
================================*/
.uomcontent .for-selected {
    padding: 8px 42px 8px 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.uomcontent input[type=text].for-search {
    background: none;
    border: none;
    margin: 0px;
    width: -webkit-calc(100% - 42px);
    width:    -moz-calc(100% - 42px);
    width:         calc(100% - 42px);
    padding-top: 8px;
    padding-bottom: 8px;
    font-size: 16px;
}

.uomcontent .styled-select.alt.for-styled-select:after {
    content: none;
}

.uomcontent section div.for-arrow {
    display: inline;
    margin-top: -42px;
    padding: 21px;
    float: right;
    max-height: 42px;
    max-width: 42px;
}

.uomcontent section div.for-arrow:after {
    content: "";
    border: none;
    border-bottom: 2px solid currentColor;
    border-right: 2px solid currentColor;
    height: 9px;
    line-height: 9px;
    webkit-transform: rotate(45deg) translateY(0);
    ms-transform: rotate(45deg) translateY(0);
    transform: rotate(45deg) translateY(0);
    pointer-events: none;
    position: absolute;
    width: 9px;
    top: 50%;
    right: 0;
    margin-top: -9px;
    margin-right: 1rem;
}

.uomcontent .for_drop_down {
    position: absolute;
    z-index: 10;
    display: none;
    border: 1px solid var(--primary);
    border-radius: 3px;
    padding: 8px 10px;
    background-color: var(--white);
    max-height: 250px;
    width:100%;
    overflow: auto;
}

.uomcontent .for-selectable {
    padding-bottom: 8px;
    padding-left: 1em;
    cursor: pointer;
    color: var(--default-font-color);
}

.uomcontent .for-selectable:hover {
    background-color: var(--resource-container-blue);
}

.uomcontent .for-header {
    padding-bottom: 8px;
    cursor: auto;
}

.uomcontent .for-selected-option {
    background-color: var(--for-code-selected-option-bg);
}

/*================================
 Users form for activity and nvivo
================================*/
.uomcontent [role=main] table.mobile-friendly tr td.uom-table-delete-button-container {
    padding: 15px;
    width: 54px; /* 15 + 24 (icon size) + 15 */
    border: none;
    background: none !important;
    vertical-align: middle;
}

.uom-table-delete-button {
    cursor: pointer;
}

.uom-table-delete-button.disabled {
    cursor: text;
    color: var(--grey-400);
}

/*================================
  RPE
================================*/
.rpe-input {
    width: 70px;
}

.rpe-unit {
    margin: 0.15rem auto 0 0.25rem;
}

.rpe-delete-button-container {
    border: none;
    background-color: transparent;
    position: relative;
    top: -36px;
    left: 48px;
    height: 0;
    overflow: visible;
}

.rpe-delete-button {
    cursor: pointer;
}

.rpe-table {
    width: 100%;
    border: none;
    background-color: transparent;
}

.rpe-download-button {
    float: right;
}

/*================================
 Loading animation
================================*/
.simple-loader {
    margin: 0;
    border: 4px solid var(--notifications-actions-bg); /* Light grey */
    border-top: 4px solid var(--primary); /* Blue */
    border-radius: 50%;
    width: 25px;
    height: 25px;
    animation: simple-loader-spin 2s linear infinite;
}

.htmx-request.simple-loader {
    display: inline-block !important;
}

.htmx-request .simple-loader {
    display: inline-block !important;
}

@keyframes simple-loader-spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(1080deg); }
}

/* Display a loading indicator when the "Sync tree" button is clicked on content_page_view.html */
.loading-indicator {
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.htmx-request .loading-indicator {
    display: block;
    opacity: 1;
}

.loaded-indicator {
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease;
}

/*================================
 RCAO
================================*/
.uomcontent .modal__dialog .notice.rcao-validity-notice,
.uomcontent .notice.rcao-validity-notice {
    margin: 8px 0px 0px 0px;
    width: 25rem;
}

/*================================
 Bugfix for autoscrolling functionality
================================*/
.window-scroll-padding {
    height: 115px;
    padding: 0px;
    background-color: var(--primary);
    display: none;
}

/*====================================
  Styling for banners inside modals
=====================================*/
.uomcontent .modal__dialog .notice {
    padding: 0 3%;
    padding: 1rem 1.125rem 1.25rem;
    display: block;
    margin: 0 auto 0.9375rem;
}
.uomcontent .modal__dialog .notice--info {
    background-color: var(--notice-bg);
    border-left: 0.375rem solid var(--secondary);
    color: var(--default-font-color);
}
.uomcontent .modal__dialog .notice--success {
    background-color: var(--success-banner-bg);
    border-left: 0.375rem solid var(--accent-secondary);
    color: var(--default-font-color);
}
.uomcontent .modal__dialog .notice--warning {
    background-color: var(--warning-banner-bg);
    border-left: 0.375rem solid var(--warning-text);
    color: var(--default-font-color);
}
.uomcontent .modal__dialog [role="main"] > :first-child {
    padding-top: 0;
}
.uomcontent .modal__dialog fieldset textarea {
    height: 12.5rem;
    width: 100%;
}

.uomcontent .modal__dialog fieldset {
    justify-content: left;
    line-height: 1.15rem;
    max-width: 60%
}

[role="main"] form [data-required=true]:after,
 form [data-required=true]:after {
    padding-left: 0.3125rem;
    content: "*";
    color: var(--warning-text);
}

/*====================================
  Home Styling
=====================================*/
/* styling for button forms used on home page */
form.button-form {
    line-height: 1.5rem;
    padding: 0;
}

.uomcontent [role=main] section div .home {
    width: 94%;
    max-width: 87.5rem;
}

.uomcontent [role=main] section div .home h2,
.uomcontent [role=main] section div .home h4,
.uomcontent [role=main] section div .home p,
.uomcontent [role=main] section div .home div {
    margin-left: 0;
    max-width: 87.5rem;
}

.home div.resource-cards-container-arrow {
    background-color: var(--notice-bg);
    height: 1.25rem;
    position: absolute;
    top: -0.625rem;
    width: 1.25rem;
    transform: rotate(45deg);
}

/*===============================
 resource_container.html
================================*/
.uomcontent ul.resource-container.accordion {
    padding-bottom: 1rem;

    & > li {
        border: 0;
        border-radius: 0.375rem;

        &:hover:has(div.tool-bar__container) {
            border-top-left-radius: 0;

            & div.accordion__title div.tool-bar__container {
                visibility: visible;
            }
        }

        & div.accordion__title.chevron:before {
            width: 12px;
            height: 12px;
            color: var(--black);
        }
    }

    & .accordion__hidden {
        padding: 0 20px;

        &:before {
            height: 0;
        }
    }

    & .accordion__visible .accordion__hidden {
        padding: 0 20px;
    }

    & div.accordion__title {
        padding: 20px;
    }

    & div.resource-container__flexbox {
        align-items: flex-start;
        display: flex;
        flex-wrap: wrap;

        @media screen and (min-width: 1280px) {
            flex-wrap: nowrap;
        }
    }

    & .notice--info {
        background-color: var(--white);
    }
}

.bg-user-yellow {
    background-color: var(--resource-container-yellow);
}

.bg-user-red {
    background-color: var(--resource-container-red);
}

.bg-user-orange {
    background-color: var(--resource-container-orange);
}

.bg-user-blue {
    background-color: var(--resource-container-blue);
}

.bg-user-purple {
    background-color: var(--resource-container-purple);
}

.bg-user-green {
    background-color: var(--resource-container-green);
}

/*================================
  Resource Card Styling
================================*/
.uomcontent [role="main"] .sortable-list .resource-container.ghost,
.uomcontent [role="main"] .sortable-list .resource.ghost,
.uomcontent [role="main"] .sortable-list a.ghost,
.uomcontent [role="main"] .sortable-list p.ghost {
    opacity: 0;
}

.uomcontent [role="main"] .resource-cards-container .resource-card {
    transition-duration: 0.2s;
    transition-timing-function: ease-in-out;
    transition-property: background-color, border-color;
    z-index: 0;
    width: 17rem;
    max-width: 22rem;
    flex-grow: 2;
    padding: 1rem;
    background-color: var(--white);
    border: 1px solid var(--table-border);
    border-bottom: 4px solid var(--primary);
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0;
    overflow: visible;
}

.uomcontent [role="main"] .resource form {
    padding: 0;
}

.uomcontent [role="main"] .resource p {
    word-wrap: break-word;
}

.uomcontent [role="main"] .resource-cards-container a.resource-link {
  display: block;
  z-index: 1;
}

.uomcontent [role="main"] .resource-cards-container a.resource-link::after {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  content: ' ';
  z-index: 1;
}

.uomcontent [role=main] section div .home div .no-overflow {
    display: block;
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    pointer-events: none;
}

.uomcontent [role="main"] .resource-cards-container a.resource-sublink {
  z-index: 2;
  position: relative;
}

.uomcontent [role="main"] .resource-cards-container a.resource-sublink:hover,
.uomcontent [role="main"] .resource-cards-container a.resource-sublink:focus-within {
  text-decoration: underline;
}

.uomcontent [role="main"] form.button-form {
    display: block;
}

.uomcontent [role="main"] form.button-form .button {
    width: 100%;
}

.uomcontent [role="main"] a.button-small.resource-action,
.uomcontent [role="main"] input.button-small.resource-action,
.uomcontent [role="main"] button.button-small.resource-action {
    width: 100%;
    margin: 0.5rem 0 0;
    line-height: 1.5;
    z-index: 2;
}
.uomcontent [role="main"] .home .button-small.resource-action {
    color: var(--white);
    padding: 0.3125rem 0 0.375rem;
}

.uomcontent [role="main"] .home a.button-small.resource-action.soft {
    color: var(--secondary);
    padding: 0.1875rem 0 0.25rem;
}

.uomcontent [role="main"] .button-small.resource-action.split-action-main {
    min-height: 2.375rem;
    padding-right: 3rem;
}
.uomcontent [role="main"] .button-small.resource-action.split-action-alt {
    min-width: 0;
    width: 3rem;
    height: 2.375rem;
    padding: 0;
    margin-left: -3rem;
    position: absolute;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    border-left: 1px solid var(--white);
}

.uomcontent [role="main"] .home .resource-card .notice.resource-notice {
    margin: 0.5rem 0 0 0;
    padding: 1rem;
    width: auto;
}


.uomcontent [role="main"] .home .resource-card form {
    padding: 0
}

.uomcontent [role="main"] .home .resource-card .dropdown-actions {
    margin-top: -1rem;
    padding: 0.5rem;
    min-width: 11rem;
}

/*================================
  Options Page
================================*/
.uomcontent [role="main"] section div.resource-option {
    display: flex;
    gap: 2rem;
    margin-bottom: 1rem;
}
.uomcontent [role="main"] section div.resource-option table {
    margin: 0;
    min-width: 14rem;
}
.uomcontent [role="main"] section div.resource-option div {
    margin-left: 0;
}
.uomcontent [role="main"] section div.resource-option div.resource-option__button {
    margin: -0.5rem 0 0;
    min-width: 13rem;
}

/*================================
  Ribbon
================================*/
.uomcontent .ribbon {
    font-size: .65em;
}

.uomcontent .ribbon {
    /* copied from uom.css - but that css file only applies this when the screen is > 769px - so we need to override that */
    position: absolute;
    top: 1.125em;
    right: 1.125em;
    z-index: 1;
    display: block;
    width: 100%;
    line-height: 2.25;
    text-align: center;
    -webkit-transform-origin: top right;
    -ms-transform-origin: top right;
    transform-origin: top right;
    -webkit-transform: rotate(45deg) translate(50%,50%);
    -ms-transform: rotate(45deg) translate(50%,50%);
    transform: rotate(45deg) translate(50%,50%);
}

/*================================
  Countdown Clock Styling
================================*/
/* adapted from: https://codepen.io/shshaw/pen/vKzoLL */
.flip-clock {
  text-align: center;
  perspective: 400px;
  margin: 20px auto;
}
.flip-clock *,
.flip-clock *:before,
.flip-clock *:after {
  box-sizing: border-box;
}
.flip-clock__piece {
  display: inline-block;
  margin: 0 2px;
}
.flip-clock__slot {
}
.flip-clock__section {
    margin: auto;
}
.flip-clock__colon {
    display: inline;
    padding: 0 0.5rem;
}
.card {
  display: block;
  position: relative;
  padding-bottom: 0.72em;
  font-size: 2rem;
  color: var(--primary);
  line-height: 0.95;
}
.card__top,
.card__bottom,
.card__back::before,
.card__back::after {
  display: block;
  height: 0.72em;
  border: 0;
  background: var(--white);
  padding: 0.2em 0.25em 0.25em 0.25em;
  border-radius: 0.15em 0.15em 0 0;
  backface-visiblity: hidden;
  width: 1em;
  transform-style: preserve-3d;
  transform: translateZ(0);
}
.card__bottom {
  position: absolute;
  top: 50%;
  left: 0;
  color: var(--primary);
  border: 0;
  border-top: none;
  background: var(--white);
  border-radius: 0 0 0.15em 0.15em;
  pointer-events: none;
  width: 1em;
  overflow: hidden;
}
.card__bottom::after {
  display: block;
  margin-top: -0.72em;
}
.card__back::before,
.card__bottom::after {
  content: attr(data-value);
}
.card__back {
  position: absolute;
  top: 0;
  height: 100%;
  left: 0%;
  pointer-events: none;
}
.card__back::before {
  position: relative;
  z-index: -1;
  overflow: hidden;
}
.flip .card__back::before {
  -webkit-animation: flipTop 0.3s cubic-bezier(0.37, 0.01, 0.94, 0.35);
          animation: flipTop 0.3s cubic-bezier(0.37, 0.01, 0.94, 0.35);
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
  transform-origin: center bottom;
}
.flip .card__back .card__bottom {
  transform-origin: center top;
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
  -webkit-animation: flipBottom 0.6s cubic-bezier(0.15, 0.45, 0.28, 1);
          animation: flipBottom 0.6s cubic-bezier(0.15, 0.45, 0.28, 1);
}
@-webkit-keyframes flipTop {
  0% {
    transform: rotateX(0deg);
    z-index: 2;
  }
  0%,
  99% {
    opacity: 0.99;
  }
  100% {
    transform: rotateX(-90deg);
    opacity: 0;
  }
}
@keyframes flipTop {
  0% {
    transform: rotateX(0deg);
    z-index: 2;
  }
  0%,
  99% {
    opacity: 0.99;
  }
  100% {
    transform: rotateX(-90deg);
    opacity: 0;
  }
}
@-webkit-keyframes flipBottom {
  0%,
  50% {
    z-index: -1;
    transform: rotateX(90deg);
    opacity: 0;
  }
  51% {
    opacity: 0.99;
  }
  100% {
    opacity: 0.99;
    transform: rotateX(0deg);
    z-index: 5;
  }
}
@keyframes flipBottom {
  0%,
  50% {
    z-index: -1;
    transform: rotateX(90deg);
    opacity: 0;
  }
  51% {
    opacity: 0.99;
  }
  100% {
    opacity: 0.99;
    transform: rotateX(0deg);
    z-index: 5;
  }
}

/*================================
  Notifications Styling
================================*/
.uomcontent ol li.notification {
    background-color: var(--white);
    margin: 0;
    padding: 1rem;
    border-bottom: solid 1px var(--box-border);
}
.uomcontent ol li.notification.notification-flagged:hover,
.uomcontent ol li.notification:hover {
    background-color: var(--notifications-actions-bg);
}

.uomcontent li.notification.notification-unread {
    border-left: 4px var(--primary) solid;
}
.uomcontent li.notification.notification-unread p {
    font-weight: bold;
}
.uomcontent li.notification.notification-flagged.notification.notification-selected,
.uomcontent li.notification.notification-selected {
    background-color: var(--notifications-actions-bg);
}
.uomcontent li.notification.notification-flagged {
    background-color: var(--notifications-flagged-bg);
}
.uomcontent .no-notification {
    text-align: center;
    width: 100%;
}
.uomcontent .no-notification span.material-icons {
    font-size: 100px;
}
.uomcontent .no-notification span.material-icons {
    font-size: 100px;
}
.uomcontent .no-notification p {
    padding-bottom: 0;
}
.uomcontent .notification-window {
    padding: 1rem;
    border: solid 1px var(--box-border);
    border-radius: 4px;
    background-color: var(--white);
    margin: auto;
}
.uomcontent .notification-actions {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0.6rem 0.6rem 0.2rem 0.6rem;
    display: none;
    gap: 0.5rem
}
.uomcontent ol li.notification.notification-selected .notification-actions,
.uomcontent ol li.notification:hover .notification-actions {
    display: flex;
    background-color: var(--notifications-actions-bg);
}
.uomcontent .notification-actions i {
    cursor: pointer;
    background-color: var(--notifications-actions-bg);
    color: var(--default-font-color);
    padding: 0.4rem;
    border-radius: 4px;
    font-weight: lighter;
}
.uomcontent .notification-actions i:hover {
    background-color: var(--notifications-icons-hover-bg);
    color: var(--black);
}
.uomcontent .notification-date {
    float: right;
    padding-left: 0.5rem;
    display: flex;
}
.uomcontent ol li.notification.notification-selected .notification-date,
.uomcontent ol li.notification:hover .notification-date {
    color: var(--grey-100);
}
.uomcontent ol li.notification.notification-flagged .notification-action-unflag {
    color: var(--warning-text);
}
.uomcontent ol li.notification.notification-flagged .notification-action-unflag,
.uomcontent ol li.notification .notification-action-flag,
.uomcontent ol li.notification.notification-unread .notification-action-read,
.uomcontent ol li.notification .notification-action-unread {
    display: inline-block;
}
.uomcontent ol li.notification .notification-action-unflag,
.uomcontent ol li.notification.notification-flagged .notification-action-flag,
.uomcontent ol li.notification .notification-action-read,
.uomcontent ol li.notification.notification-unread .notification-action-unread {
    display: none;
}

/*================================
 Additional Volume Form
================================*/
.uomcontent .modal__dialog {

    & input.additional-volume-name, textarea.additional-volume-justification {
        border: 1px solid var(--box-border);
        height: 40px;
        padding: 4px 0 0 4px;
        width: 100%;
    }

    & textarea.additional-volume-justification {
        height: 100px;
    }

    & input[type=checkbox] + label[for*="id_additional_volumes"] {
        line-height: 1.2;
        padding-bottom: 1rem;
    }

    & span.helptext {
        font-size: .875rem;
        font-weight: 400;
        justify-content: start;
        line-height: 1.5rem;
    }
}

/*===============================
 content_page_view.html
================================*/
.uomcontent [role=main] div.content-page-view {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    height: 100%;
    max-width: 100%;

    & section.content-page-view__learnpage {
        padding: 0 1.25rem 0 1.25rem;
        flex-grow: 4
    }

    & div.content-page-view__header {
        align-content: flex-end;
        border-bottom: 1px solid var(--grey-400);
        display: flex;
        justify-content: space-between;
        margin-bottom: 1rem;
        padding-bottom: 1rem;
    }

    & div.content-page-view__header__date {
        align-self: flex-end;
        margin-left: 0;
    }

    & span.content-page-view__header__actions {
        align-items: flex-end;
        display: flex;
        gap: 1rem;
        margin-left: 1rem;
    }

    & form {
        display: flex;
        flex-grow: 1;
        max-width: 100%;
    }

    & section.content-page-view__sidebar {
        background-color: var(--sidebar-bg);
        flex-grow: 1;
        position: relative;
        width: 100%;
        margin: 0 0 -3rem 0;
        overflow: visible;

        @media screen and (min-width: 768px) {
            margin: 0 0 -3.5rem 0;
        }

        @media screen and (min-width: 1280px) {
            margin: -3.5rem 0 -3.5rem 0;
        }
    }

    @media screen and (min-width: 1280px) {
        justify-content: start;
    }
}

.htmx-request .sync-tree_button {
    display: none;
}

/*===============================
 container_banner.html
================================*/
.uomcontent [role=main] div.container-banner {
    display: flex;
    border-radius: 0.375rem;
    position: relative;
    margin-bottom: 1rem;
    max-width: 100%;

    & div.container-banner__flexbox {
        align-content: center;
        display: flex;
        justify-content: space-between;
        margin: 0;
        padding: 1.5rem;
        width: 100%;
    }

    &:hover:has(.tool-bar__container) {
        border-top-left-radius: 0px;

        .tool-bar__container {
            visibility: visible;
        }
    }
}

/*===============================
 tool_bar.html
================================*/
div.tool-bar {
    border-color: inherit;
    max-width: 100%;

    & div.tool-bar__container {
        border-style: solid;
        border-top-left-radius: .375rem;
        border-top-right-radius: .375rem;
        cursor: default;
        display: flex;
        gap: 0.5rem;
        padding: 0.5rem 0.5rem 0 0.5rem;
        position: absolute;
        transform-origin: top;
        visibility: hidden;
        z-index: 10;

        &.tool-bar__border {
            left: -1px;
            border: 1px solid;
            border-color: inherit;
            border-bottom-width: 0;
            top: -33px;
        }

        &.tool-bar__no-border {
            left: -0px;
            top: -32px;
        }

        & div.tool-bar__icon {
            color: var(--black);
            font-size: 24px;
            height: 24px;

            &:hover {
                cursor: pointer;
            }

            &div.tool-bar__drag-icon:hover {
                cursor: move;
            }
        }

        & div.tool-bar__color-box {
            align-items: center;
            display: flex;
            flex-direction: row;
            gap: 0.5rem;
            height: 24px;
        }

        & input.tool-bar__color-selection {
            appearance: none;
            border: 1px solid var(--black);
            cursor: pointer;
            height: 24px;
            width: 24px;

            &:checked {
                appearance: auto;
            }
        }
    }
}

/*===============================
 resource.html
================================*/
.uomcontent [role=main] div.resource {
    background-color: var(--white);
    border: 1px solid var(--black);
    border-bottom-width: 4px;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 300px;
    min-width: 280px;
    position: relative;
    width: 280px;

    &.resource__hovered:hover {
        border-top-left-radius: 0;
    }

    & div.resource__information {
        padding: 1rem 1rem 0 1rem;
        position: relative;
        width: 280px;
    }

    & div.resource__header {
        align-items: baseline;
        display: flex;
        gap: 0.25rem;
        justify-content: space-between;
    }

    & strong.resource__title {
        color: var(--secondary);
        font-size: 1.25rem;
        font-weight: 600;
        line-height: 1.75rem;
        overflow-wrap: break-word;
    }

    & strong.resource__pill {
        border-radius: 9999px;
        color: var(--white);
        font-size: 0.875rem;
        font-weight: bolder;
        padding: 0.25rem 0.75rem 0.25rem 0.75rem;

        &.bg-compute {
            background-color: var(--secondary);
        }

        &.bg-storage {
            background-color: var(--storage);
        }

        &.bg-service {
            background-color: var(--service);
        }

        &.bg-hpc {
            background-color: var(--hpc);
        }
    }

    & strong.resource__name {
        color: var(--black);
        font-size: 1rem;
        font-weight: 700;
    }

    & div.resource__buttons {
        margin: auto 0 0;
        padding: 0 1rem 1rem 1rem;
        width: 100%;
    }

    &.border--compute {
        border-color: var(--primary);
    }

    &.border--storage {
        border-color: var(--storage);
    }

    &.border--service {
        border-color: var(--service);
    }

    &.border--hpc {
         border-color: var(--hpc);
    }

    &:hover {
        & .tool-bar__container {
            background-color: var(--white);
            visibility: visible;
        }
    }

    & .notice--info {
        background-color: var(--notice-bg);
    }
}

/*===============================
 resource_collection.html
================================*/
.uomcontent div.resource-collection {

    & a.resource-collection__add-button {
        align-items: center;
        border-radius: 0.5rem;
        border: 4px dashed var(--black);
        display: flex;
        flex-direction: column;
        justify-content: center;
        margin: 0;
        min-height: 300px;
        overflow: visible;
        padding: 1rem;
        position: relative;
        text-decoration: none;
        width: 280px;

        & span {
            color: var(--black);
        }

        &:hover {
            background-color: var(--tab-button-hover-bg-white);
        }
    }

    & div.resource-collection__list {
        border-radius: 0.375rem;
        border-style: none;
        max-width: 100%;
        position: relative;
        width: auto;
    }

    & div.resource-collection__arrow {
        clip-path: polygon(100% 50%, 0 0, 100% 0, 50% 100%, 0 0);
        height: 1rem;
        position: absolute;
        transform: rotate(180deg);
        top: -14px;
        width: 2rem;
        border: 0;
        margin: auto;

        &.rotate {
            @media screen and (min-width: 1252px) {
                bottom: 0;
                left: -23px;
                top: 0;
                transform: rotate(90deg);
             }
        }
    }
}

/*===============================
 view_activity.html
================================*/
.uomcontent div.view-activity {

    & div.view-activity__header-flexbox {
        align-items: flex-start;
        display: flex;
        flex-wrap: wrap;
        margin-left: 0;
        max-width: 100%;
    }
}

/*===============================
 path.html
================================*/
.uomcontent .form-control.placeholder--lightgrey::placeholder {
    color: var(--input-placeholder-font);
}

/*===============================
 Situational styling and hot fixes
================================*/
.uomcontent [role="main"] section div.codeblock {
    background:whitesmoke;
    margin:1rem;
    padding:0.5rem;
    border:1px var(--grey-400) solid;
    border-radius: 5px;
    font-size: 75%;
}

.uomcontent code {
    padding: 0.125rem 0.5rem
}

.uomcontent [role=main] .block-listing ul li {
    background-color: initial;
    border: initial;
    font-size: 1rem;
    list-style: disc;
    width: initial;
}

.uomcontent div.feature button,
.uomcontent div.feature a.button,
.uomcontent div.feature a.button-small
{
    width: 100%;
    display: block;
}

.uomcontent .button-main
{
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.uomcontent fieldset .styled-select.alt {
    margin-top: 0;
    overflow: visible;
}

.month-input{
    padding: 6px 8px;
    color: var(--primary);
    border: 1px solid var(--primary);
    cursor: pointer;
    line-height: 1.55;
    margin-top: 0;
    width: 100%;
    border-radius: 3px;
    background-color: var(--white);
    font-size: 1rem;
}

.cursor-grab {
  cursor: grab;
}

div.helptext {
    font-size: .875rem;
    line-height: 1.5rem;
}

/* Fix the broken navigation menu when the page initially loads. */
.uomcontent #sitemap {
    display: none
}

.uomcontent #sitemap.localnav.localnav__panel {
    display: unset
}

.uomcontent ol.page-local-history {
    background-color: var(--primary);
    max-width: 100%
}

.uomcontent input[readonly] {
    opacity: .5;
}

.disabled-resource {
    pointer-events: none;
    opacity: 0.7;
    cursor: not-allowed;
}


/*===============================
 usage_activity.html
================================*/

.my-usage-container {
    border: 1px solid var(--primary);
    border-bottom-width: 4px;
    border-radius: 0.5rem;
    padding: 0 24px 0 24px;
    margin-bottom: 16px !important;
}

.my-usage-title {
    font-size: 1.4em;
    font-weight: 600;
    color: var(--black);
    text-align: center;
}

.my-usage-timespan-title {
    padding-top: 5.75px;
    margin: 0 !important;
    font-size: 20px;
    font-weight: 600;
    color: var(--black);
    text-align: center;
}

/*===============================
 small-inherit
================================*/

.uomcontent .small-inherit p {
    font-size: .875rem;
    line-height: 1.5rem;
}
